// database/migrations/2024_01_01_000010_create_segments_table.php
<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('segments', function (Blueprint $table) {
            $table->id();
            $table->string('name'); // Sourcing, Stock Maintain, Marketing, Sales, Packaging & Delivery, Accounting & Finance, Technology
            $table->text('description')->nullable();
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('segments');
    }
};

